//
//  DemoViewController.m
//  DemoVistaModal
//
//  Created by Santiago Pavón Gómez on 08/06/12.
//  Copyright (c) 2012 UPM - ETSIT. All rights reserved.
//

#import "DemoViewController.h"
#import "InfoViewController.h"

@interface DemoViewController ()
@property (weak, nonatomic) IBOutlet UISegmentedControl *segCtrl;

@end

@implementation DemoViewController
@synthesize segCtrl = _segCtrl;

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidUnload
{
    [self setSegCtrl:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}
-(void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    
    if ([segue.identifier isEqualToString:@"showInfo"]) {
  
        NSLog(@"Preparando segue showInfo");
        
        InfoViewController *ivc = segue.destinationViewController;
        
        ivc.value = self.segCtrl.selectedSegmentIndex;
        
    }
}

@end
