//
//  InfoViewController.m
//  DemoVistaModal
//
//  Created by Santiago Pavón Gómez on 08/06/12.
//  Copyright (c) 2012 UPM - ETSIT. All rights reserved.
//

#import "InfoViewController.h"

@interface InfoViewController ()
@property (weak, nonatomic) IBOutlet UILabel *infoValue;

@end

@implementation InfoViewController

@synthesize infoValue = _infoValue;
@synthesize value = _value;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    
    self.infoValue.text = [NSString stringWithFormat:@"%d",self.value];
}

- (void)viewDidUnload
{
    [self setInfoValue:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (IBAction)volver {
    
    [self.presentingViewController dismissModalViewControllerAnimated:YES];
}

@end
